PostgreSQL 7.1.3 Documentation
Prev |  | Next

# set_defhost

## Name

set_defhost -- set default host name [DV]

## Synopsis

    set_defhost(host)

### Parameters

`host`

  New default host (string/None).

### Return Type

string or None

  Previous default host specification.

### Exceptions

TypeError

  Bad argument type, or too many arguments.

## Description

`set_defhost()` sets the default host value for new connections. If None is supplied as parameter, environment variables will be used in future connections. It returns the previous setting for default host.

Prev | Home | Next
get_defhost | Up | get_defport